Subject: linux-next: manual merge of the kunit-next tree with the jc_docs tree

From: Stephen Rothwell <[email-masked]>
Date: Fri, 24 Dec 2021 16:37:07 +1100

Hi all,

Today's linux-next merge of the kunit-next tree got a conflict in:

  Documentation/dev-tools/kunit/start.rst

between commit:

  c48b9ef1f794 ("Documentation: KUnit: Rewrite getting started")

from the jc_docs tree and commit:

  4c2911f1e140 ("kunit: tool: reconfigure when the used kunitconfig changes")

from the kunit-next tree.

I fixed it up (see below) and can carry the fix as necessary. This
is now fixed as far as linux-next is concerned, but any non trivial
conflicts should be mentioned to your upstream maintainer when your tree
is submitted for merging.  You may also want to consider cooperating
with the maintainer of the conflicting tree to minimise any particularly
complex conflicts.

-- 
Cheers,
Stephen Rothwell

diff --cc Documentation/dev-tools/kunit/start.rst
index a858ab009944,0a5e65540974..000000000000
--- a/Documentation/dev-tools/kunit/start.rst
+++ b/Documentation/dev-tools/kunit/start.rst
@@@ -59,19 -44,23 +59,20 @@@ or ``VFAT_FS``. To run ``FAT_KUNIT_TEST
  
  	CONFIG_LIST_KUNIT_TEST=y
  
 -:doc:`kunit_tool <kunit-tool>` will ensure that all config options set in
 -``.kunitconfig`` are set in the kernel ``.config`` before running the tests.
 -It'll warn you if you haven't included the dependencies of the options you're
 -using.
 +Before running the tests, kunit_tool ensures that all config options
 +set in ``.kunitconfig`` are set in the kernel ``.config``. It will warn
 +you if you have not included dependencies for the options used.
  
- .. note ::
-    The configuration is only updated if the ``.kunitconfig`` is not a
-    subset of ``.config``. You can use tools (for example:
-    make menuconfig) to adjust other config options.
+ .. note::
+    If you change the ``.kunitconfig``, kunit.py will trigger a rebuild of the
+    ``.config`` file. But you can edit the ``.config`` file directly or with
+    tools like ``make menuconfig O=.kunit``. As long as its a superset of
+    ``.kunitconfig``, kunit.py won't overwrite your changes.
  
 -
 -Running the tests (KUnit Wrapper)
 ----------------------------------
 -
 -To make sure that everything is set up correctly, simply invoke the Python
 -wrapper from your kernel repo:
 +Running Tests (KUnit Wrapper)
 +-----------------------------
 +1. To make sure that everything is set up correctly, invoke the Python
 +   wrapper from your kernel repository:
  
  .. code-block:: bash